# Makefile for miniLZO
#
# Christos Strydis, CE Group, TU Delft, 2007
#
# MiniLZO Copyright (C) 1996-2005 Markus F.X.J. Oberhumer

PROGRAM= mlzo
SRCS= mlzo.c minilzo.c


CFLAGS= -Wall -O2 #-s -fomit-frame-pointer
LDFLAGS=
CC= cc # standard (native) GCC
XTCC= /opt/data/christos/xtrem_new/bin/arm-linux-gcc
MYCC= $(XTCC) # choose (native or arm cross) compiler for build
LIBS=

HDRS= minilzo.h # currently not used
OBJS= $(SRCS:.c=.o)


default: $(OBJS)
	$(MYCC) $(CFLAGS) $(LDFLAGS) -o $(PROGRAM) $(OBJS) $(LIBS)

%.o: %.c
	$(MYCC) -c $(CFLAGS) $(LDFLAGS) $< -o $@


minilzo.o: minilzo.h



clean:
	rm -rf $(PROGRAM) $(PROGRAM).exe $(PROGRAM).map $(PROGRAM).tds
	rm -rf *.err *.o *.obj
	rm -rf *.out

.PHONY: default clean

